Play Stream - Get All Segments
Retrieves an array of player segment definitions. Results from this can be used in subsequent API calls such as GetPlayersInSegment which requires a Segment ID. While segment names can change the ID for that segment will not change.
POST https://titleId.playfabapi.com/Admin/GetAllSegments
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| X-SecretKey | True |
string |
This API requires a title secret key, available to title admins, from PlayFab Game Manager. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK | ||
| 400 Bad Request |
This is the outer wrapper for all responses with errors |
Security
X-SecretKey
This API requires a title secret key, available to title admins, from PlayFab Game Manager.
Type:
apiKey
In:
header
Definitions
| Name | Description |
|---|---|
|
Api |
The basic wrapper around every failed API response |
|
Get |
Request has no paramaters. |
|
Get |
|
|
Get |
ApiErrorWrapper
The basic wrapper around every failed API response
| Name | Type | Description |
|---|---|---|
| code |
integer |
Numerical HTTP code |
| error |
string |
Playfab error code |
| errorCode |
integer |
Numerical PlayFab error code |
| errorDetails |
object |
Detailed description of individual issues with the request object |
| errorMessage |
string |
Description for the PlayFab errorCode |
| status |
string |
String HTTP code |
GetAllSegmentsRequest
Request has no paramaters.
GetAllSegmentsResult
| Name | Type | Description |
|---|---|---|
| Segments |
Array of segments for this title. |
GetSegmentResult
| Name | Type | Description |
|---|---|---|
| ABTestParent |
string |
Identifier of the segments AB Test, if it is attached to one. |
| Id |
string |
Unique identifier for this segment. |
| Name |
string |
Segment name. |
Error Codes
| Name | Code |
|---|---|
| ProductDisabledForTitle | 1609 |